コンテンツへスキップ

Digital Distribution Hub (1.0.0)

概要

Digital Distribution Hubは、プッシュペイメント技術やEコマースを介して、デジタルとキャッシュベースの決済を結びつけることを目的とした、エクソラの新しいソリューションです。

この参照は、以下の2つエクソラ製品のAPIエンドポイントを組み合わせたものです:ゲーム内ストア決済ステーション。2つのベースURLがあります:

  • 一般カタログカート、及び注文グループの場合は https://store.xsolla.com/api
  • 通知グループの場合は、https://ps.xsolla.com

カタロググループのAPIエンドポイントは認証を必要としません。

カート注文グループの操作を行うには、ユーザートークンを作成するを介してトークンを生成する必要があります。

注意

この参照は、将来のAPIのデザインを示すものであり、完全に機能するインターフェースではありません。現在は、カタログおよび通知グループのエンドポイントのみを試すことができます。ご意見をお聞かせいただける場合は、techdoc@xsolla.comまでご連絡ください。
OpenAPI記述をダウンロード
言語
サーバー
Mock server
https://xsolla.redocly.app/_mock/ja/api/digital-distribution-hub/
https://store.xsolla.com/api/
操作
操作

カタログ用のゲームキーを取得する

リクエスト

カタログのゲームキーを取得します。

セキュリティ
AuthForClient
パス
project_idinteger必須

プロジェクトID。

例: 44056
item_skustring必須

アイテムSKU。

例: booster_mega_1
クエリ
localestring

応答言語。ISO639-1に準拠した2文字の小文字の言語コード。

デフォルト "en"
additional_fields[]Array of strings

追加フィールドのリスト。これらのフィールドは、リクエストで送信した場合、応答に含まれます。利用可能なフィールドmedia_listorderlong_descriptionです。

countrystring

カタログの地域別価格と制限を計算するための国。ISO 3166-1 alpha-2に準拠した2文字の大文字の国コードです。国を明示的に指定しない場合は、ユーザーのIPアドレスに基づいて計算されます。

デフォルト "US"
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ja/api/digital-distribution-hub/v2/project/44056/items/game/key/sku/booster_mega_1?locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

レスポンス

ゲームキーが正常に受信されました。

ボディapplication/json
attributesArray of objects(Catalog_client-attributes-common)

アイテムに対応する属性とその値のリスト。カタログのフィルタリングに使用できます。

デフォルト []
descriptionstring

アイテム説明。

例: "Game description"
drm_namestring

DRM名。

例: "Steam"
drm_skustring

一意のDRM ID。SKUには、小文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみを含めることができます。

例: "steam"
groupsArray of objects(Catalog_inline_response_200_groups)

アイテムが属するグループ。

例: [{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}]
has_keysboolean

trueの場合、ゲームキーには販売用のキーがあります。

例: true
image_urlstring

画像のURL。

例: "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png"
is_freeboolean

trueの場合、アイテムは無料です。

例: false
is_pre_orderboolean

trueの場合、ゲームキーは先行予約済みで、リリース日は過ぎていません。

例: true
namestring

アイテム名。

例: "Game name"
priceobject(Catalog_inline_response_200_price)

アイテム価格。

release_datestring

ISO8601形式のゲームキーのリリース日。

例: "2020-08-11T10:00:00+03:00"
skustring

一意のアイテムID。SKUには、小文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみを含めることができます。

例: "game_1"
typestring

アイテムのタイプ:game_key

例: "game_key"
virtual_pricesArray of objects(Catalog_inline_response_200_virtual_prices)

仮想価格。

例: []
レスポンス
application/json
{ "attributes": { "$ref": "#/components/examples/client-attribute-game-horror/Catalog_value" }, "description": "Game description", "drm_name": "Steam", "drm_sku": "steam", "groups": [ {}, {} ], "has_keys": true, "image_url": "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png", "is_free": false, "is_pre_order": true, "name": "Game name", "price": { "amount": "30.5", "amount_without_discount": "30.5", "currency": "USD" }, "release_date": "2020-08-11T10:00:00+03:00", "sku": "game_1", "type": "game_key", "virtual_prices": [] }

カタログ用のゲームを取得する

リクエスト

カタログのゲームを取得します。

セキュリティ
AuthForClient
パス
project_idinteger必須

プロジェクトID。

例: 44056
item_skustring必須

アイテムSKU。

例: booster_mega_1
クエリ
localestring

応答言語。ISO639-1に準拠した2文字の小文字の言語コード。

デフォルト "en"
additional_fields[]Array of strings

追加フィールドのリスト。これらのフィールドは、リクエストで送信した場合、応答に含まれます。利用可能なフィールドmedia_listorderlong_descriptionです。

countrystring

カタログの地域別価格と制限を計算するための国。ISO 3166-1 alpha-2に準拠した2文字の大文字の国コードです。国を明示的に指定しない場合は、ユーザーのIPアドレスに基づいて計算されます。

デフォルト "US"
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ja/api/digital-distribution-hub/v2/project/44056/items/game/sku/booster_mega_1?locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

レスポンス

ゲームは正常に受信されました。

ボディapplication/json
attributesArray of objects(Catalog_client-attributes)

ゲームに対応する属性とその値のリスト。

注意。応答のこの部分は、`additional_fields[] = attributes`クエリパラメータを送信した場合にのみ使用できます。
デフォルト []
descriptionstring

アイテム説明。

例: "Game description"
groupsArray of objects(Catalog_inline_response_200_groups)

アイテムが属するグループ。

例: [{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}]
image_urlstring

画像のURL。

例: "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png"
namestring

アイテム名。

例: "Game name"
skustring

一意のアイテムID。SKUには、小文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみを含めることができます。

例: "game_1"
typestring

アイテムのタイプ:virtual_good/virtual_currency/bundle/physical_good/unit

例: "unit"
unit_itemsArray of objects(Catalog_inline_response_200_unit_items)
例: [{"drm_name":"Steam","drm_sku":"steam","has_keys":true,"is_free":false,"is_pre_order":true,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"release_date":"2020-08-11T10:00:00+03:00","sku":"game_key_01","type":"game_key","virtual_prices":[]},{"drm_name":"Origin","drm_sku":"origin","has_keys":false,"is_free":false,"is_pre_order":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"sku":"game_key_02","type":"game_key","virtual_prices":[]}]
unit_typestring

ユニットのタイプ:game

例: "game"
レスポンス
application/json
{ "attributes": { "$ref": "#/components/examples/client-attribute-game/Catalog_value" }, "description": "Game description", "groups": [ {}, {} ], "image_url": "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png", "name": "Game name", "sku": "game_1", "type": "unit", "unit_items": [ {}, {} ], "unit_type": "game" }

仮想アイテム & 通貨

操作
操作

ユーザートークン

操作
操作
操作